Bug 111215 - No such file or directory in ifup-ippp and ifdown-ippp
No such file or directory in ifup-ippp and ifdown-ippp
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: initscripts (Show other bugs)
1
All Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-11-30 05:49 EST by Tomasz Kepczynski
Modified: 2014-03-16 22:40 EDT (History)
1 user (show)

See Also:
Fixed In Version: 7.42.2-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-12-01 14:30:10 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch for ifup-ippp and ifdown-ippp scripts (615 bytes, patch)
2003-11-30 05:51 EST, Tomasz Kepczynski
no flags Details | Diff

  None (edit)
Description Tomasz Kepczynski 2003-11-30 05:49:56 EST
Description of problem:
ifup and ifdown scripts for ippp interfaces call ifup
and ifdown scripts for ipv6 with wrong parameters.

Version-Release number of selected component (if applicable):
7.42-1

How reproducible:
always

Steps to Reproduce:
1. Create isdn interface in redhat-config-network. Choose
   interface name alias other then ippp[0-9]. This creates
   ifcfg-alias_name in /etc/sysconfig/network-scripts
2. start/stop interface with ifup alias_name / ifdown alias_name
3. /etc/sysconfig/network-scripts/ifup-ipv6: line 47: \
   ifcfg-ippp0: Nie ma takiego pliku ani katalogu is printed (in
   Polish locale) which means "no such file or directory".
  
Actual results:
Error message and ipv6 not started for isdn interfaces

Expected results:
No error message, ipv6 started for isdn interfaces

Additional info:
Comment 1 Tomasz Kepczynski 2003-11-30 05:51:44 EST
Created attachment 96252 [details]
Patch for ifup-ippp and ifdown-ippp scripts
Comment 2 Bill Nottingham 2003-12-01 14:30:10 EST
Added in 7.42.2-1, thanks!

Note You need to log in before you can comment on or make changes to this bug.